Listar detalles de las sesiones
curl --request GET \
--url https://api.devin.ai/v2/enterprise/sessions/insights \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v2/enterprise/sessions/insights"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v2/enterprise/sessions/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_more": true,
"items": [
{
"acus_consumed": 123,
"created_at": "2023-11-07T05:31:56Z",
"initial_user_message": "<string>",
"org_id": "<string>",
"pull_requests": [
{
"url": "<string>",
"state": "<string>"
}
],
"session_analysis": {
"suggested_prompt": {
"feedback_items": [
{
"details": "<string>",
"excerpt": "<string>",
"issue_id": "<string>",
"summary": "<string>"
}
],
"original_prompt": "<string>",
"suggested_prompt": "<string>"
},
"action_items": [],
"issues": [],
"timeline": []
},
"session_id": "<string>",
"status": "new",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"title": "<string>",
"user_id": "<string>"
}
],
"limit": 123,
"skip": 123,
"total": 123,
"next_cursor": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Sesiones de Enterprise
Listar sesiones de Enterprise (Insights)
Obtén una lista paginada de sesiones de Devin con datos de análisis detallados de tu Enterprise
GET
/
v2
/
enterprise
/
sessions
/
insights
Listar detalles de las sesiones
Requiere una API key personal de administrador de Enterprise.
Devuelve una lista paginada de todas las sesiones de Devin dentro de tu Enterprise, incluido un análisis completo de la sesión, los mensajes iniciales del usuario, información sobre pull requests (PR) y datos de consumo de ACU. Este endpoint proporciona información más detallada que el endpoint básico List Enterprise Sessions.
Autorizaciones
API key personal (apk_user_*) solo para administradores de Enterprise
Parámetros de consulta
Rango requerido:
x >= 0Rango requerido:
1 <= x <= 200
